Redmine - Defect #28029

Rake tasks for fetching email don't support "no_notification" option
2018-01-21 08:33 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email receiving Estimated time: 0.00 hour

Target version:

Resolution: Duplicate Affected version:

Description
"--no-notification" option to disable notifications to the created user has been added by #13341 (Redmine 2.3.0).

Although rdm-mailhandler.rb supports the option, it seems that rake tasks for fetching emails such as redmine:email:receive_imap
don't support it. Please see source:tags/3.4.4/app/models/mail_handler.rb#L 68. extract_options_from_env method doesn't check
ENV['no_notification'].

Related issues:
Is duplicate of Redmine - Defect #29191: Cannot set no_notification option wh... Closed

History

#1 - 2018-09-25 04:45 - Go MAEDA
The problem seems to be fixed by #29191.

#2 - 2018-09-25 04:49 - Go MAEDA

- Is duplicate of Defect #29191: Cannot set no_notification option when receiving emails via IMAP or POP3 added

#3 - 2018-09-25 04:50 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Duplicate
https://www.redmine.org/issues/13341
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.4.4/app/models/mail_handler.rb#L68
https://www.redmine.org/issues/29191
